"use strict";
require("reflect-metadata");
function Timeout(timeoutInMs) {
    if (timeoutInMs <= 0) {
        throw new RangeError("Timeout period must be greater than 0.");
    }
    return function (target, propertyKey, descriptor) {
        Reflect.defineMetadata("alsatian:timeout", timeoutInMs, target, propertyKey);
    };
}
exports.Timeout = Timeout;
//# sourceMappingURL=timeout-decorator.js.map