"use strict";
var test_outcome_1 = require("./test-outcome");
var _errors_1 = require("../_errors");
var TestCaseResult = (function () {
    function TestCaseResult(_test, _arguments, _error) {
        this._test = _test;
        this._arguments = _arguments;
        this._error = _error;
    }
    TestCaseResult.prototype.arguments = function () {
        return this._arguments;
    };
    Object.defineProperty(TestCaseResult.prototype, "outcome", {
        get: function () {
            if (this._error) {
                if (this._error instanceof _errors_1.MatchError) {
                    return test_outcome_1.TestOutcome.Fail;
                }
                return test_outcome_1.TestOutcome.Error;
            }
            if (this._test.ignored) {
                return test_outcome_1.TestOutcome.Skip;
            }
            return test_outcome_1.TestOutcome.Pass;
        },
        enumerable: true,
        configurable: true
    });
    return TestCaseResult;
}());
exports.TestCaseResult = TestCaseResult;
//# sourceMappingURL=test-case-result.js.map